petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMAdaptorCreate

Create a DMAdaptor object. Its purpose is to construct a adaptation DMLabel or metric Vec that can be used to modify the DM.

### Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorCreate(MPI_Comm comm, DMAdaptor *adaptor)

Collective on MPI_Comm

### Input Parameter

comm -The communicator for the DMAdaptor object

### Output Parameter

adaptor -The DMAdaptor object

### Keywords

DMAdaptor, convergence, create

### See Also

DMAdaptorDestroy(), DMAdaptorAdapt()

### Level

beginner

### Location

src/snes/utils/dmadapt.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages